Name:           pino
Version:        0.1.1
Release:        1%{?dist}
Summary:        A fast, easy and free Twitter client

Group:          Applications/Internet
License:        LGPLv3+
URL:            http://pino-app.appspot.com
Source0:        http://pino-twitter.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  waf
BuildRequires:  vala
BuildRequires:  libgee-devel
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  libxml2-devel
BuildRequires:  webkitgtk-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
Pino is Twitter client for Linux desktop. It's simple and fast. Pino is written 
in Vala language and compiled to the native binary code. 

%prep
%setup -q 


%build
CFLAGS="$RPM_OPT_FLAGS" waf configure --prefix=%{_prefix}
waf build


%install
rm -rf $RPM_BUILD_ROOT
waf install --destdir=$RPM_BUILD_ROOT -p

# Remove docs from /usr/share/doc/pino
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/pino

# Locale files
%find_lang %{name}

# Desktop file validate
desktop-file-validate %{buildroot}/%{_datadir}/applications/pino.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/pino
%{_datadir}/applications/pino.desktop
%{_datadir}/icons/hicolor/scalable/*/*.svg
%dir %{_datadir}/pino
%{_datadir}/pino/templates/*.tpl


%changelog
* Mon Jan  4 2010  Allisson Azevedo <allisson@gmail.com> 0.1.1-1
- Update to 0.1.1
- Using waf as BR
- Updated description
- Using rpmmacros in build section

* Tue Dec 29 2009  Allisson Azevedo <allisson@gmail.com> 0.1.0-1
- Update to 0.1.0

* Mon Dec 28 2009 Allisson Azevedo <allisson@gmail.com> 0.1.0-0.2.rc3
- Update to 0.1.0rc3
- Fix BR
- Added desktop file validate for pino.desktop

* Wed Dec 23 2009 Allisson Azevedo <allisson@gmail.com> 0.1.0-0.1.rc2
- Initial RPM release 
